
#include <Unistep2.h>

// Define some steppers and the pins they will use
// pins for IN1, IN2, IN3, IN4, steps per rev, step delay(in micros)
Unistep2 stepper(2, 3, 4, 5, 4096, 1000); 

void setup()
{
  // Your setup code here
  // The library initializes the pins for you

  Serial.begin(9600);
  Serial.println(F(" *** Unistep2 library By  IDEAELEC.COM ***"));
  Serial.println(F(" Number for Rotation (4096 FOR 1 rotation)"));
  Serial.println(F(" +- for direction!! "));

}

void loop()
{
  // We need to call run() frequently, so we place it in the loop()
  stepper.run();

  // Get user input via Serial monitor
  while ( Serial.available() > 0 && stepper.stepsToGo() == 0 ) {

    int stepPos = Serial.parseInt();

    if (Serial.read() == '\n') {
      Serial.print("Movement command: ");
      
      Serial.print(stepper.currentPosition());
      Serial.print(" --> ");
      Serial.println(stepPos);
      
      stepper.move(stepPos);
    }
  }

}
